Index: stable/HeuristicLab.Problems.LinearAssignment/3.3/Analyzers/BestLAPSolutionAnalyzer.cs
===================================================================
--- stable/HeuristicLab.Problems.LinearAssignment/3.3/Analyzers/BestLAPSolutionAnalyzer.cs	(revision 15587)
+++ stable/HeuristicLab.Problems.LinearAssignment/3.3/Analyzers/BestLAPSolutionAnalyzer.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -28,9 +28,9 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.LinearAssignment {
   [Item("BestLAPSolutionAnalyzer", "Analyzes the best solution found.")]
-  [StorableClass]
+  [StorableType("7C4B1DB3-E351-4C6C-899B-801303DFCE61")]
   public class BestLAPSolutionAnalyzer : SingleSuccessorOperator, IAnalyzer, ISingleObjectiveOperator {
     public bool EnabledByDefault { get { return true; } }
@@ -71,5 +71,5 @@
 
     [StorableConstructor]
-    protected BestLAPSolutionAnalyzer(bool deserializing) : base(deserializing) { }
+    protected BestLAPSolutionAnalyzer(StorableConstructorFlag _) : base(_) { }
     protected BestLAPSolutionAnalyzer(BestLAPSolutionAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public BestLAPSolutionAnalyzer()
Index: stable/HeuristicLab.Problems.LinearAssignment/3.3/HeuristicLab.Problems.LinearAssignment-3.3.csproj
===================================================================
--- stable/HeuristicLab.Problems.LinearAssignment/3.3/HeuristicLab.Problems.LinearAssignment-3.3.csproj	(revision 15587)
+++ stable/HeuristicLab.Problems.LinearAssignment/3.3/HeuristicLab.Problems.LinearAssignment-3.3.csproj	(revision 17097)
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.Problems.LinearAssignment</RootNamespace>
     <AssemblyName>HeuristicLab.Problems.LinearAssignment-3.3</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
     <TargetFrameworkProfile />
@@ -109,4 +109,10 @@
   </PropertyGroup>
   <ItemGroup>
+    <Reference Include="Google.Protobuf, Version=3.6.1.0, Culture=neutral, PublicKeyToken=a7d26565bac4d604, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\Google.Protobuf.3.6.1\lib\net45\Google.Protobuf.dll</HintPath>
+    </Reference>
+    <Reference Include="HEAL.Attic, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\HEAL.Attic.1.0.0-pre02\lib\net461\HEAL.Attic.dll</HintPath>
+    </Reference>
     <Reference Include="HeuristicLab.PluginInfrastructure-3.3">
       <HintPath>..\..\bin\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
@@ -117,8 +123,12 @@
     <Reference Include="System.Data" />
     <Reference Include="System.Drawing" />
+    <Reference Include="System.Drawing.Common, Version=4.0.0.1, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\System.Drawing.Common.4.5.1\lib\net461\System.Drawing.Common.dll</HintPath>
+    </Reference>
   </ItemGroup>
   <ItemGroup>
     <Compile Include="HungarianAlgorithm.cs" />
     <Compile Include="LAPAssignment.cs" />
+    <None Include="packages.config" />
     <None Include="Plugin.cs.frame" />
     <Compile Include="Analyzers\BestLAPSolutionAnalyzer.cs" />
Index: stable/HeuristicLab.Problems.LinearAssignment/3.3/HungarianAlgorithm.cs
===================================================================
--- stable/HeuristicLab.Problems.LinearAssignment/3.3/HungarianAlgorithm.cs	(revision 15587)
+++ stable/HeuristicLab.Problems.LinearAssignment/3.3/HungarianAlgorithm.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -28,5 +28,5 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.LinearAssignment {
@@ -36,5 +36,5 @@
   [Item("Hungarian Algorithm", "The Hungarian algorithm can be used to solve the linear assignment problem in O(n^3). It is also known as the Kuhn–Munkres algorithm or Munkres assignment algorithm.")]
   [Creatable(CreatableAttribute.Categories.SingleSolutionAlgorithms, Priority = 170)]
-  [StorableClass]
+  [StorableType("2A2C1C1B-E0C3-4757-873B-C3F7C6D11A01")]
   public sealed class HungarianAlgorithm : EngineAlgorithm, IStorableContent {
     public string Filename { get; set; }
@@ -67,5 +67,5 @@
 
     [StorableConstructor]
-    private HungarianAlgorithm(bool deserializing) : base(deserializing) { }
+    private HungarianAlgorithm(StorableConstructorFlag _) : base(_) { }
     private HungarianAlgorithm(HungarianAlgorithm original, Cloner cloner)
       : base(original, cloner) {
Index: stable/HeuristicLab.Problems.LinearAssignment/3.3/Interfaces/ILAPEvaluator.cs
===================================================================
--- stable/HeuristicLab.Problems.LinearAssignment/3.3/Interfaces/ILAPEvaluator.cs	(revision 15587)
+++ stable/HeuristicLab.Problems.LinearAssignment/3.3/Interfaces/ILAPEvaluator.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,6 +24,8 @@
 using HeuristicLab.Encodings.PermutationEncoding;
 using HeuristicLab.Optimization;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.LinearAssignment {
+  [StorableType("4B73438E-511A-4AF0-B7F1-B357F6092604")]
   public interface ILAPEvaluator : ISingleObjectiveEvaluator {
     ILookupParameter<DoubleMatrix> CostsParameter { get; }
Index: stable/HeuristicLab.Problems.LinearAssignment/3.3/LAPAssignment.cs
===================================================================
--- stable/HeuristicLab.Problems.LinearAssignment/3.3/LAPAssignment.cs	(revision 15587)
+++ stable/HeuristicLab.Problems.LinearAssignment/3.3/LAPAssignment.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,9 +25,9 @@
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.PermutationEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.LinearAssignment {
   [Item("LAP Assignment", "Represents a solution to the LAP.")]
-  [StorableClass]
+  [StorableType("8F255E15-291B-44D5-BF8B-AC79264274C0")]
   public sealed class LAPAssignment : Item, INotifyPropertyChanged, IStorableContent {
     public string Filename { get; set; }
@@ -89,5 +89,5 @@
 
     [StorableConstructor]
-    private LAPAssignment(bool deserializing) : base(deserializing) { }
+    private LAPAssignment(StorableConstructorFlag _) : base(_) { }
     private LAPAssignment(LAPAssignment original, Cloner cloner)
       : base(original, cloner) {
Index: stable/HeuristicLab.Problems.LinearAssignment/3.3/LAPEvaluator.cs
===================================================================
--- stable/HeuristicLab.Problems.LinearAssignment/3.3/LAPEvaluator.cs	(revision 15587)
+++ stable/HeuristicLab.Problems.LinearAssignment/3.3/LAPEvaluator.cs	(revision 17097)
@@ -2,5 +2,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,5 +22,5 @@
 
 using HeuristicLab.Operators;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Core;
 using HeuristicLab.Common;
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Problems.LinearAssignment {
   [Item("LAPEvaluator", "Evaluates a solution to the linear assignment problem.")]
-  [StorableClass]
+  [StorableType("DB86EA88-EE30-4E57-8447-D24B7B6ACB8A")]
   public class LAPEvaluator : InstrumentedOperator, ILAPEvaluator {
 
@@ -45,5 +45,5 @@
 
     [StorableConstructor]
-    protected LAPEvaluator(bool deserializing) : base(deserializing) { }
+    protected LAPEvaluator(StorableConstructorFlag _) : base(_) { }
     protected LAPEvaluator(LAPEvaluator original, Cloner cloner) : base(original, cloner) { }
     public LAPEvaluator()
Index: stable/HeuristicLab.Problems.LinearAssignment/3.3/LinearAssignmentProblem.cs
===================================================================
--- stable/HeuristicLab.Problems.LinearAssignment/3.3/LinearAssignmentProblem.cs	(revision 15587)
+++ stable/HeuristicLab.Problems.LinearAssignment/3.3/LinearAssignmentProblem.cs	(revision 17097)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -31,5 +31,5 @@
 using HeuristicLab.Optimization.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.PluginInfrastructure;
 
@@ -37,5 +37,5 @@
   [Item("Linear Assignment Problem (LAP)", "In the linear assignment problem (LAP) an assignment of workers to jobs has to be found such that each worker is assigned to exactly one job, each job is assigned to exactly one worker and the sum of the resulting costs is minimal (or maximal).")]
   [Creatable(CreatableAttribute.Categories.CombinatorialProblems, Priority = 130)]
-  [StorableClass]
+  [StorableType("7766E004-A93D-4CA6-8012-AE5E8F4C4D85")]
   public sealed class LinearAssignmentProblem : SingleObjectiveHeuristicOptimizationProblem<ILAPEvaluator, IPermutationCreator>, IStorableContent {
     public static readonly string CostsDescription = "The cost matrix that describes the assignment of rows to columns.";
@@ -94,5 +94,5 @@
 
     [StorableConstructor]
-    private LinearAssignmentProblem(bool deserializing) : base(deserializing) { }
+    private LinearAssignmentProblem(StorableConstructorFlag _) : base(_) { }
     private LinearAssignmentProblem(LinearAssignmentProblem original, Cloner cloner)
       : base(original, cloner) {
Index: stable/HeuristicLab.Problems.LinearAssignment/3.3/LinearAssignmentProblemSolver.cs
===================================================================
--- stable/HeuristicLab.Problems.LinearAssignment/3.3/LinearAssignmentProblemSolver.cs	(revision 15587)
+++ stable/HeuristicLab.Problems.LinearAssignment/3.3/LinearAssignmentProblemSolver.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,9 +27,9 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.LinearAssignment {
   [Item("LinearAssignmentProblemSolver", "Uses the hungarian algorithm to solve linear assignment problems.")]
-  [StorableClass]
+  [StorableType("ABF202CC-44E4-4208-9EBF-1A104806358F")]
   public sealed class LinearAssignmentProblemSolver : SingleSuccessorOperator, ISingleObjectiveOperator {
     private const int UNASSIGNED = -1;
@@ -49,5 +49,5 @@
 
     [StorableConstructor]
-    private LinearAssignmentProblemSolver(bool deserializing) : base(deserializing) { }
+    private LinearAssignmentProblemSolver(StorableConstructorFlag _) : base(_) { }
     private LinearAssignmentProblemSolver(LinearAssignmentProblemSolver original, Cloner cloner) : base(original, cloner) { }
     public LinearAssignmentProblemSolver()
Index: stable/HeuristicLab.Problems.LinearAssignment/3.3/Plugin.cs.frame
===================================================================
--- stable/HeuristicLab.Problems.LinearAssignment/3.3/Plugin.cs.frame	(revision 15587)
+++ stable/HeuristicLab.Problems.LinearAssignment/3.3/Plugin.cs.frame	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: stable/HeuristicLab.Problems.LinearAssignment/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- stable/HeuristicLab.Problems.LinearAssignment/3.3/Properties/AssemblyInfo.cs.frame	(revision 15587)
+++ stable/HeuristicLab.Problems.LinearAssignment/3.3/Properties/AssemblyInfo.cs.frame	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: stable/HeuristicLab.Problems.LinearAssignment/3.3/packages.config
===================================================================
--- stable/HeuristicLab.Problems.LinearAssignment/3.3/packages.config	(revision 17097)
+++ stable/HeuristicLab.Problems.LinearAssignment/3.3/packages.config	(revision 17097)
@@ -0,0 +1,6 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<packages>
+  <package id="Google.Protobuf" version="3.6.1" targetFramework="net461" />
+  <package id="HEAL.Attic" version="1.0.0-pre02" targetFramework="net461" />
+  <package id="System.Drawing.Common" version="4.5.1" targetFramework="net461" />
+</packages>
